Cocoapods iOS: cómo agregar libsqlite3.dylib

Me gustaría include el marco de iOS para libsqlite3.dylib como un marco dentro de un cocoapod. En mi file .podspec tengo una línea como esta:

spec.framework = 'libsqlite3.dylib' 

Cuando ejecuto la installation de pod, se instala bien, pero hay un error durante la compilation.

  framework not found libsqlite3.dylib 

Puedo agregar manualmente la biblioteca buscando en el menu Crear Fases> Binario de enlace con bibliotecas> +. Sin embargo, tendría que comentar mi línea de podsec para el marco para que los errores desaparezcan. Realmente me gustaría hacer funcionar este cocoapod sin el paso manual.

… así que supongo que estoy haciendo algo mal con la forma en que establezco el marco dentro del file podspec.

"libsqlite3.dylib" es una biblioteca dinámica y no un marco. Para include bibliotecas en su Podspec, solo debe usar:

 spec.library = 'sqlite3'